Subject: [os2genau_digest] No. 1476
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 13 Apr 2007 00:00:29 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Thursday 12 April 2007
 Number  1476
**************************************************

Subjects for today
 
1  Re:  Firefox Sunbird etc : Ed Durrant <edurrant at bigpond dot net dot au>
2  Re:  Firefox Sunbird etc : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Thu, 12 Apr 2007 06:20:57 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  Firefox Sunbird etc

John Angelico wrote:
> Hi all.
>
> Have been too sane recently so I decided to start exploring some of this
> other Mozilla software :-)
>
> Downloaded from Betazone at eCS USA site the sunbird.zip file representing
> standalone Calendar application.
>
> Did the usual thing - unarchive into a fresh directory, create an icon for
> the sunbird.exe file and start it up (just like Mozilla and Firefox).
>
> Nothing doing - old OS/2 box telling me "can't run this - something is
> wrong" and do I want to check the Settings?
>
> Now the ReadMe file is somewhat sparse on getting it going instructions,
> and I can't find any Voice News announcement to explain.
>
> I have Firefox 2.002 running so Lib6 DLL shouldn't be an issue (he
> "ass-umes").
>
> Could someone point me to some setup data/email/URL please?
>
>
> Best regards
> John Angelico
> OS/2 SIG
> os2 at melbpc dot org dot au or 
> talldad at kepl dot com dot au
> ___________________
>

>  

>
>   
Hi John,
  Well the symptoms suggest a missing DLL why not run chkdll32 or 
PMCHKDLL on the exe to find out which one is either not present or not 
in the libpath. I'd suggest it might be libc05.dll that it's looking for 
but it could be anything. By the way, the latest libc06.dll is not a 
substitute, it seems that if libc05.dll or linc06 RC1 or libc06 GA 
version is used to compile the program, that's the one that you have to 
have - there's no backwards compatibility.

 You might also want to check that current directory "." is at the start 
of libpath and that the current directory is defined as the working 
directory in your program object - or alternatively run the exe from the 
command line while in its directory.

Cheers/2

Ed.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Thu, 12 Apr 2007 22:49:44 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Firefox Sunbird etc

On Thu, 12 Apr 2007 06:20:57 +1000, Ed Durrant wrote:

>Hi John,

Hi Ed and all.

>  Well the symptoms suggest a missing DLL why not run chkdll32 or 
>PMCHKDLL on the exe to find out which one is either not present or not 
>in the libpath. 

OK.
PMDLL v2.8 by Steve Levine (good guy!) stopped with "Unsupported exe type
PE"
but 
chkdll32 said eventually (whew! - it produced a lot of output)

	Loading DLL 'MZFNTCFG' --> NOT loaded!
	Unable to load DLL 'MZFNTCFG'.  DosLoadModule returned: 2
	OS/2 reports 'MZFNTCFG' contributed to the failure. 

>I'd suggest it might be libc05.dll that it's looking for 
>but it could be anything. By the way, the latest libc06.dll is not a 
>substitute, it seems that if libc05.dll or linc06 RC1 or libc06 GA 
>version is used to compile the program, that's the one that you have to 
>have - there's no backwards compatibility.

Those are OK as they are *all* in my D:\EXTRADLLS directory.

> You might also want to check that current directory "." is at the start 
>of libpath and that the current directory is defined as the working 
>directory in your program object - or alternatively run the exe from the 
>command line while in its directory.

"." and ".." are both in libpath. I did run it from the BIN directory of
D:\Sunbird as well. All I got was consistent results - for which I should
be thankful :-).

The result above from DLL checking is a bit puzzling.

Surely Font configuration is already in Firefox and companions, so how come
it isn't loading?
 
However, a quick PM_Seek shows that it doesn't exist on my system.

Now, where to find it?

Aha! Search of OS2Site Filepile turns up v3.22 size 419,500 dated
2006-07-31. Readme shows it is supposed to be part of the Freetype set... 

Hmm, I have Freetype.dll but why not this DLL?

OK.

Installed it in D:\SUNBIRD\BIN

Sunbird still refuses to run, but doesn't tell me anything.

Chkdll32 still says this DLL is not being loaded.

I have tried it named both in all UPPER case and all lower case. Makes no
difference.

At least it is consistent; useless and wrong, but consistent :-)

Whilst seeking help, I will try Peter Weilbacher's own site and the 0.3
version from OS2Site

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

----------------------------------------------------------------------------------